Summary:        LZMA compressor with integrity checking
Name:           lzip
Version:        1.23
Release:        3%{?dist}
License:        GPLv3+
URL:            http://www.nongnu.org/lzip/lzip.html
Source0:        http://download.savannah.gnu.org/releases/lzip/lzip-%{version}.tar.gz

BuildRequires:  make gcc-c++

%description
Lzip is a lossless data compressor with a user interface similar to the one of gzip or bzip2. 
Lzip uses a simplified form of the 'Lempel-Ziv-Markov chain-Algorithm' (LZMA) stream format 
and provides a 3 factor integrity checking to maximize interoperability and optimize safety.


%prep
%autosetup
sed -i 's/\r//' COPYING 


%build
%configure CXXFLAGS="%{build_cxxflags}" LDFLAGS="%{build_ldflags}"
%make_build


%install
%make_install install-man

rm -Rf %{buildroot}%{_infodir}/dir

%check
make check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/lzip
%{_infodir}/lzip.info*
%{_mandir}/man1/lzip.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Wang Guodong <gordonwwang@tencent.com> - 1.23-1
- initial build
